

#    AGATA Digitizer Application Implementation file

    package require DataAcquisitionControlServer   ;# load generic code


proc do_Implementation-SetUp {args} {after 1000 executeSetUp}

proc do_Implementation-Reset {args} {
     global MIDAS_DataAcquisitionCode

     set MIDAS_DataAcquisitionCode 2
}

proc do_Implementation-Stop {args} {
     global MIDAS_DataAcquisitionCode

     set MIDAS_DataAcquisitionCode 0
}

proc do_Implementation-Go {args} {
     global MIDAS_DataAcquisitionCode

     set MIDAS_DataAcquisitionCode 1
}

proc do_Implementation-Counters {args} {
       global MIDAS_DataAcquisitionCounters
}

proc do_Implementation-Rates {args} {
       global MIDAS_DataAcquisitionRates
}

proc do_Implementation-GetState {args} {
}

proc do_Implementation-SetOption {args} {
}

proc do_Implementation-GetOption {args} {
}

proc executeSetUp {} {
       global errorCode errorInfo
       global MIDAS_DataAcquisitionCode MIDAS_DataAcquisitionState MIDAS_DataAcquisitionReason
       global MIDAS_DataAcquisitionError MIDAS_DataAcquisitionInfo

        set rc [catch {AGATADigitizer::do_SetUpAllDigitizers} m]

        if {$rc != 0} {

            puts "SETUP returned with an error\n$m\n$errorCode\n$errorInfo"

            set MIDAS_DataAcquisitionCode 6
            set MIDAS_DataAcquisitionError 4096
            set MIDAS_DataAcquisitionInfo "$m\n$errorCode\n$errorInfo"
        } else {

            set MIDAS_DataAcquisitionCode 0
        }
}


package provide AGATADigitizerControl 1.0
